package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.TSSDTaskLog;
import com.sa.ibiz.demo.demo.service.dto.TSSDTaskLogSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[TSSDTaskLog] 服务对象接口
 */
public interface TSSDTaskLogService extends IService<TSSDTaskLog>{

		TSSDTaskLog get(TSSDTaskLog et);
	boolean remove(TSSDTaskLog et);
	boolean getDraft(TSSDTaskLog et);
	boolean create(TSSDTaskLog et);
	boolean checkKey(TSSDTaskLog et);
	boolean update(TSSDTaskLog et);
    List<TSSDTaskLog> listDefault(TSSDTaskLogSearchFilter filter) ;
	Page<TSSDTaskLog> searchDefault(TSSDTaskLogSearchFilter filter);
	/**	 实体[TSSDTaskLog] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }